## vitrage-dashboard 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
# Horizon Core Requirements
django-compressor>=2.0 # MIT
iso8601>=0.1.11 # MIT
horizon>=14.0.0.0b1 # Apache-2.0
XStatic-Angular>=1.5.8.0 # MIT License
XStatic-Angular-Bootstrap>=2.2.0.0 # MIT License
XStatic-Bootstrap-Datepicker>=1.3.1.0 # Apache 2.0 License
XStatic-Bootstrap-SCSS>=3.3.7.1 # Apache 2.0 License
XStatic-D3>=3.5.17.0  # BSD License (3 clause)
XStatic-Font-Awesome>=4.7.0.0 # SIL OFL 1.1 License, MIT License
XStatic-jQuery>=1.8.2.1 # MIT License
XStatic-smart-table>=1.4.13.2 # MIT License
python-vitrageclient>=2.5.0  # Apache-2.

=== debian/changelog ===
vitrage-dashboard (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #944659).

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 13 Nov 2019 13:41:51 +0100

=== debian/control ===
Source: vitrage-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Michal Arbet <michal.arbet@ultimum.io>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:16.0.0),
 python3-iso8601,
 python3-openstackdocstheme,
 python3-reno,
 python3-selenium,
 python3-testscenarios,
 python3-testtools,
 python3-vitrageclient (>= 2.5.0),
 python3-xstatic-d3,
 python3-xvfbwrapper,
 subunit,
 testrepository,
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/openstack-team/services/vitrage--dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/services/vitrage-dashboard
Homepage: https://github.com/openstack/vitrage-dashboard

Package: python3-vitrage-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:16.0.0),
 python3-iso8601,
 python3-vitrageclient (>= 2.5.0),
 python3-xstatic-d3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Vitrage - dashboard plugin
 Vitrage is the OpenStack RCA (Root Cause Analysis) service for organizing,
 analyzing and expanding OpenStack alarms & events, yielding insights
 regarding the root cause of problems and deducing their existence
 before they are directly detected.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Copy config enabled to openstack-dashboard enabled location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/vitrage_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test -v 2 \
				--settings=vitrage_dashboard.dashboard.tests.settings \
				--exclude-tag integration \
				vitrage_dashboard ;\
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## vitrage-dashboard 3.4.0

=== requirements.txt ===
--- 
+++ 
@@ -6,13 +6,19 @@
 # Horizon Core Requirements
 django-compressor>=2.0 # MIT
 iso8601>=0.1.11 # MIT
-horizon>=14.0.0.0b1 # Apache-2.0
+horizon>=17.1.0 # Apache-2.0
 XStatic-Angular>=1.5.8.0 # MIT License
 XStatic-Angular-Bootstrap>=2.2.0.0 # MIT License
 XStatic-Bootstrap-Datepicker>=1.3.1.0 # Apache 2.0 License
 XStatic-Bootstrap-SCSS>=3.3.7.1 # Apache 2.0 License
+XStatic-Dagre>=0.6.4.0 # MIT License
+XStatic-Dagre-D3>=0.4.17.0 # MIT License
 XStatic-D3>=3.5.17.0  # BSD License (3 clause)
 XStatic-Font-Awesome>=4.7.0.0 # SIL OFL 1.1 License, MIT License
+XStatic-Graphlib>=2.1.7.0 # MIT License
 XStatic-jQuery>=1.8.2.1 # MIT License
+XStatic-lodash>=4.16.4.1 # MIT License
+XStatic-moment>=2.8.4.1 # MIT License
+XStatic-Moment-Timezone>=0.5.22.0 # MIT License
 XStatic-smart-table>=1.4.13.2 # MIT License
 python-vitrageclient>=2.5.0  # Apache-2.

=== debian/changelog ===
vitrage-dashboard (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:57:42 +0200

vitrage-dashboard (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch from testrepository to stestr in d/control.
  * (build-)depends on horizon version >= 3:20.0.0+git2020.09.21.27036cc0eb.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Sep 2021 09:42:15 +0200

vitrage-dashboard (3.3.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:36:51 +0200

vitrage-dashboard (3.3.0-3) experimental; urgency=medium

  * Add rm_conffile to remove old files in /etc/openstack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 May 2021 12:48:20 +0200

vitrage-dashboard (3.3.0-2) experimental; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add Breaks: python3-django-horizon (<< 3:19.2.0-2~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 May 2021 16:41:28 +0200

vitrage-dashboard (3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 22:32:05 +0100

vitrage-dashboard (3.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Sep 2020 10:45:17 +0200

vitrage-dashboard (3.1.0-2) experimental; urgency=medium

  * d/control: Add missing dependency python3-xstatic-lodash

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 29 Apr 2020 22:56:03 +0200

vitrage-dashboard (3.1.0-1) experimental; urgency=medium

  * New upstream version
  * d/control:
    - Fix {build-}dependencies for this version
    - Bump debhelper-compat to 11
    - Bump standards version to 4.5.0

 -- Michal Arbet <michal.arbet@ultimum.io>  Sun, 26 Apr 2020 12:00:25 +0200

vitrage-dashboard (3.0.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Move the package to the horizon-plugins subgroup on Salsa.

  [ Michal Arbet ]
  * New upstream version
  * d/control: Fix requirements for this release

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 24 Apr 2020 11:55:22 +0200

vitrage-dashboard (2.0.0-4) unstable; urgency=medium

  * Really package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
    (last upload added no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Jul 2021 09:58:01 +0200

vitrage-dashboard (2.0.0-3) unstable; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Jul 2021 15:00:09 +0200

vitrage-dashboard (2.0.0-2) unstable; urgency=medium

  * Rebuild source only.

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 05 Mar 2020 16:23:22 +0100

=== debian/control ===
Source: vitrage-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Michal Arbet <michal.arbet@ultimum.io>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-iso8601,
 python3-selenium,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 python3-vitrageclient,
 python3-xstatic-d3,
 python3-xstatic-dagre,
 python3-xstatic-dagre-d3,
 python3-xstatic-graphlib,
 python3-xstatic-lodash,
 python3-xstatic-moment,
 python3-xstatic-moment-timezone,
 python3-xvfbwrapper,
 subunit,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/vitrage-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/vitrage-dashboard
Homepage: https://github.com/openstack/vitrage-dashboard

Package: python3-vitrage-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-iso8601,
 python3-vitrageclient,
 python3-xstatic-d3,
 python3-xstatic-dagre,
 python3-xstatic-dagre-d3,
 python3-xstatic-graphlib,
 python3-xstatic-lodash,
 python3-xstatic-moment,
 python3-xstatic-moment-timezone,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Description: OpenStack Vitrage - dashboard plugin
 Vitrage is the OpenStack RCA (Root Cause Analysis) service for organizing,
 analyzing and expanding OpenStack alarms & events, yielding insights
 regarding the root cause of problems and deducing their existence
 before they are directly detected.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
--- 
+++ 
@@ -24,11 +24,11 @@
 	done
 
 	# Move config files to standard location
-	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
 	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy
 
 	# Copy config enabled to openstack-dashboard enabled location
-	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/vitrage_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
+	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/vitrage_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
 
 	dh_install
 	dh_missing --fail-missing

## vitrage-dashboard 3.5.0

=== debian/changelog ===
vitrage-dashboard (3.5.0-3) unstable; urgency=medium

  * Add Django 4 compat patches (Closes: #1015047):
    - django-4-ugettext_lazy-is-removed.patch
    - django-4-django.conf.urls.url-is-removed.patch

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Jul 2022 11:12:16 +0200

vitrage-dashboard (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Mar 2022 09:36:38 +0200

vitrage-dashboard (3.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Mar 2022 09:02:17 +0100

## vitrage-dashboard 3.6.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
vitrage-dashboard (3.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:09:09 +0200

vitrage-dashboard (3.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed django-4-django.conf.urls.url-is-removed.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Sep 2022 17:20:54 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/vitrage-dashboard/tags .*/(\d[\d\.]+)\.tar\.gz

## vitrage-dashboard 4.0.0

=== debian/changelog ===
vitrage-dashboard (4.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045222).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 10:34:12 +0200

vitrage-dashboard (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:49:44 +0200

vitrage-dashboard (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 15:49:09 +0100

vitrage-dashboard (4.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends.
  * Removed django-4-ugettext_lazy-is-removed.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Mar 2023 09:32:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 override_dh_clean:
 	dh_clean
 	rm -rf .coverage*
+	rm -rf build
 
 override_dh_auto_clean:
 	python3 setup.py clean

## vitrage-dashboard 5.0.0

=== debian/changelog ===
vitrage-dashboard (5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 12:28:54 +0200

vitrage-dashboard (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 11:19:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,10 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python3
 
-override_dh_clean:
-	dh_clean
-	rm -rf .coverage*
-	rm -rf build
-
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf .coverage
+	rm -rf build *.egg-info
 
 override_dh_auto_build:
 	echo "Do nothing..."

## vitrage-dashboard 6.0.0

=== debian/changelog ===
vitrage-dashboard (6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2024 10:01:38 +0200

vitrage-dashboard (6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 16:18:48 +0100

## vitrage-dashboard 7.0.0

=== debian/changelog ===
vitrage-dashboard (7.0.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Wed, 18 Dec 2024 13:08:42 +0000

vitrage-dashboard (7.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090704).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 14:06:41 +0100

vitrage-dashboard (7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 17:08:47 +0200

vitrage-dashboard (7.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 23:07:48 +0200

vitrage-dashboard (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 10:27:27 +0200

## vitrage-dashboard 8.0.0

=== debian/changelog ===
vitrage-dashboard (8.0.0-1~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Wed, 02 Apr 2025 12:25:20 +0000

vitrage-dashboard (8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:22:48 +0200

vitrage-dashboard (8.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 22:03:57 +0100

vitrage-dashboard (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 08:39:05 +0100

## vitrage-dashboard 9.0.0~rc1

=== debian/changelog ===
vitrage-dashboard (9.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:53:58 +0200

vitrage-dashboard (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2025 12:12:41 +0200

## vitrage-dashboard 9.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 # Horizon Core Requirements

=== debian/changelog ===
vitrage-dashboard (9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 23:22:56 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-pbr,
  python3-setuptools,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
+ openstack-dashboard,
  python3-iso8601,
  python3-selenium,
  python3-stestr,
@@ -37,7 +37,7 @@
 Package: python3-vitrage-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
+ openstack-dashboard,
  python3-iso8601,
  python3-vitrageclient,
  python3-xstatic-d3,
@@ -49,8 +49,6 @@
  python3-xstatic-moment-timezone,
  ${misc:Depends},
  ${python3:Depends},
-Breaks:
- python3-django-horizon (<< 3:19.2.0-2~),
 Description: OpenStack Vitrage - dashboard plugin
  Vitrage is the OpenStack RCA (Root Cause Analysis) service for organizing,
  analyzing and expanding OpenStack alarms & events, yielding insights

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean
